Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Compute Cloud
  • Yandex Container Solution
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • UpdateMetadata
        • GetSerialPortOutput
        • Stop
        • Start
        • Restart
        • AttachDisk
        • DetachDisk
        • AttachFilesystem
        • DetachFilesystem
        • AddOneToOneNat
        • RemoveOneToOneNat
        • UpdateNetworkInterface
        • AttachNetworkInterface
        • DetachNetworkInterface
        • ListOperations
        • SimulateMaintenanceEvent
        • Move
        • Relocate
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Body parameters
  • NetworkInterfaceSpec
  • PrimaryAddressSpec
  • OneToOneNatSpec
  • DnsRecordSpec
  • DiskPlacementPolicy
  • DiskPlacementPolicyChange
  • Response
  • Status
  1. API reference
  2. REST
  3. Instance
  4. Relocate

Compute Cloud API, REST: Instance.Relocate

Written by
Yandex Cloud
Improved by
Tania L.
Updated at June 1, 2026
  • HTTP request
  • Path parameters
  • Body parameters
  • NetworkInterfaceSpec
  • PrimaryAddressSpec
  • OneToOneNatSpec
  • DnsRecordSpec
  • DiskPlacementPolicy
  • DiskPlacementPolicyChange
  • Response
  • Status

Moves the specified instance to another availability zone
Running instance will be restarted during this operation.

HTTP requestHTTP request

POST https://compute.api.cloud.yandex.net/compute/v1/instances/{instanceId}:relocate

Path parametersPath parameters

Field

Description

instanceId

string

Required field. ID of the instance to move.
To get the instance ID, make a InstanceService.List request.
The length must be less than or equal to 50.
This field is required.

Body parametersBody parameters

{
  "destinationZoneId": "string",
  "networkInterfaceSpecs": [
    {
      "index": "string",
      "subnetId": "string",
      "primaryV4AddressSpec": {
        "address": "string",
        "oneToOneNatSpec": {
          "ipVersion": "string",
          "address": "string",
          "dnsRecordSpecs": [
            {
              "fqdn": "string",
              "dnsZoneId": "string",
              "ttl": "string",
              "ptr": "boolean"
            }
          ]
        },
        "dnsRecordSpecs": [
          {
            "fqdn": "string",
            "dnsZoneId": "string",
            "ttl": "string",
            "ptr": "boolean"
          }
        ]
      },
      "primaryV6AddressSpec": {
        "address": "string",
        "oneToOneNatSpec": {
          "ipVersion": "string",
          "address": "string",
          "dnsRecordSpecs": [
            {
              "fqdn": "string",
              "dnsZoneId": "string",
              "ttl": "string",
              "ptr": "boolean"
            }
          ]
        },
        "dnsRecordSpecs": [
          {
            "fqdn": "string",
            "dnsZoneId": "string",
            "ttl": "string",
            "ptr": "boolean"
          }
        ]
      },
      "securityGroupIds": [
        "string"
      ]
    }
  ],
  "bootDiskPlacement": {
    "placementGroupId": "string",
    "placementGroupPartition": "string"
  },
  "secondaryDiskPlacements": [
    {
      "diskId": "string",
      "diskPlacementPolicy": {
        "placementGroupId": "string",
        "placementGroupPartition": "string"
      }
    }
  ]
}

Field

Description

destinationZoneId

string

ID of the availability zone to move the instance to.
To get the zone ID, make a ZoneService.List request.
The length must be less than or equal to 50.
This field is required.

networkInterfaceSpecs[]

NetworkInterfaceSpec

Network configuration for the instance. Specifies how the network interface is configured
to interact with other services on the internal network and on the internet.
Currently only one network interface is supported per instance.
The number of elements must be exactly 1.
This field is required.

bootDiskPlacement

DiskPlacementPolicy

Boot disk placement policy configuration in target zone. Must be specified if disk has placement policy.

secondaryDiskPlacements[]

DiskPlacementPolicyChange

Secondary disk placement policy configurations in target zone. Must be specified for each disk that has placement policy.

NetworkInterfaceSpecNetworkInterfaceSpec

Field

Description

index

string

The index of the network interface, will be generated by the server, 0,1,2... etc if not specified.

subnetId

string

ID of the subnet.
The length must be less than or equal to 50.
This field is required.

primaryV4AddressSpec

PrimaryAddressSpec

Primary IPv4 address that will be assigned to the instance for this network interface.

primaryV6AddressSpec

PrimaryAddressSpec

Primary IPv6 address that will be assigned to the instance for this network interface. IPv6 not available yet.

securityGroupIds[]

string

ID's of security groups attached to the interface

PrimaryAddressSpecPrimaryAddressSpec

Field

Description

address

string

An IPv4 internal network address that is assigned to the instance for this network interface.
If not specified by the user, an unused internal IP is assigned by the system.

oneToOneNatSpec

OneToOneNatSpec

An external IP address configuration.
If not specified, then this instance will have no external internet access.

dnsRecordSpecs[]

DnsRecordSpec

Internal DNS configuration

OneToOneNatSpecOneToOneNatSpec

Field

Description

ipVersion

enum (IpVersion)

External IP address version.

  • IPV4: IPv4 address, for example 192.0.2.235.
  • IPV6: IPv6 address. Not available yet.

address

string

set static IP by value

dnsRecordSpecs[]

DnsRecordSpec

External DNS configuration

DnsRecordSpecDnsRecordSpec

Field

Description

fqdn

string

FQDN (required)
This field is required.

dnsZoneId

string

DNS zone id (optional, if not set, private zone used)

ttl

string (int64)

DNS record ttl, values in 0-86400 (optional)
The value must be between 0 and 86400.

ptr

boolean

When set to true, also create PTR DNS record (optional)

DiskPlacementPolicyDiskPlacementPolicy

Field

Description

placementGroupId

string

Placement group ID.

placementGroupPartition

string (int64)

DiskPlacementPolicyChangeDiskPlacementPolicyChange

Field

Description

diskId

string

Disk ID.

diskPlacementPolicy

DiskPlacementPolicy

Placement policy configuration for given disk.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Was the article helpful?

Previous
Move
Next
ListAccessBindings
© 2026 Direct Cursus Technology L.L.C.